Page MenuHomePhabricator

Trying to move a page to the actual title shows an inappropriate generic error
Closed, ResolvedPublic

Description

  1. Open the "rename" special page
  2. Click on "rename" without changing the title
  3. The error says that you need administrator rights to erase the current page, but it should tell that the title is the same

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 10 2017, 8:26 PM
matmarex added a subscriber: matmarex.

This sounds like a fairly harmless issue and it should be easy to fix, so I'm leaving it for some new developer to look at :)

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 15 2017, 7:46 PM
matmarex renamed this task from Try to move a page to the actual title shows an unappropriate generic error to Trying to move a page to the actual title shows an inappropriate generic error.May 15 2017, 8:01 PM

Change 365170 had a related patch set uploaded (by Eugene233; owner: Eugene233):
[mediawiki/core@master] Page move with same title shows generic error

https://gerrit.wikimedia.org/r/365170

I think I might be able to submit a fix for this today :)

Change 365170 merged by jenkins-bot:
[mediawiki/core@master] Improve "selfmove" message's wording

https://gerrit.wikimedia.org/r/365170

D3r1ck01 closed this task as Resolved.Sep 22 2017, 10:03 PM
D3r1ck01 added subscribers: Legoktm, D3r1ck01.

Thanks @Eugene233 for working on this & @Legoktm for merging :).